Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros
sha1cc.h File Reference
`#include <CommonCrypto/CommonDigest.h>`

Go to the source code of this file.

## Macros
#define | COMMON_DIGEST_FOR_OPENSSL 1
#define | SHA1_BLOCK_LENGTH CC_SHA1_BLOCK_BYTES
#define | SHA1_DIGEST_LENGTH CC_SHA1_DIGEST_LENGTH
#define | SHA1_CTX CC_SHA1_CTX
#define | SHA1_Update rb_digest_SHA1_update
#define | SHA1_Finish rb_digest_SHA1_finish

## Macro Definition Documentation

## ◆ COMMON_DIGEST_FOR_OPENSSL

#define COMMON_DIGEST_FOR_OPENSSL 1

Definition at line 1 of file sha1cc.h.

## ◆ SHA1_BLOCK_LENGTH

#define SHA1_BLOCK_LENGTH CC_SHA1_BLOCK_BYTES

Definition at line 4 of file sha1cc.h.

## ◆ SHA1_CTX

#define SHA1_CTX CC_SHA1_CTX

Definition at line 6 of file sha1cc.h.

## ◆ SHA1_DIGEST_LENGTH

#define SHA1_DIGEST_LENGTH CC_SHA1_DIGEST_LENGTH

Definition at line 5 of file sha1cc.h.

## ◆ SHA1_Finish

#define SHA1_Finish rb_digest_SHA1_finish

## ◆ SHA1_Update

#define SHA1_Update rb_digest_SHA1_update